<?php
use Incoviba\Controller\API\Ventas\Pagos;

$app->group('/pagos', function($app) {
    $app->get('/pendientes', [Pagos::class, 'para_pendientes']);
    $app->get('/abonar', [Pagos::class, 'para_abonar']);
    $app->get('/rebotes', [Pagos::class, 'rebotes']);
});
$app->group('/pago/{pago_id:[0-9]+}', function($app) {
    $app->post('/depositar[/]', [Pagos::class, 'depositar']);
    $app->post('/abonar[/]', [Pagos::class, 'abonar']);
    $app->post('/devolver[/]', [Pagos::class, 'devolver']);
    $app->get('/anular[/]', [Pagos::class, 'anular']);
    $app->post('/estado[/]', [Pagos::class, 'estado']);
    $app->post('[/]', [Pagos::class, 'edit']);
});
